Bug 384281 - acpi-cpufreq reports ENODEV on Q6600
acpi-cpufreq reports ENODEV on Q6600
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 05:44 EST by Davide Rossetti
Modified: 2008-09-20 15:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-20 15:35:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel logs (114.51 KB, text/plain)
2007-11-15 05:44 EST, Davide Rossetti
no flags Details
lspci -v output (5.93 KB, text/plain)
2007-11-15 05:45 EST, Davide Rossetti
no flags Details
dmidecode output (18.64 KB, text/plain)
2007-11-15 05:46 EST, Davide Rossetti
no flags Details

  None (edit)
Description Davide Rossetti 2007-11-15 05:44:29 EST
Description of problem:
On my brand new HP Pavillion m8180.it, acpi-cpufreq driver reports an error.

Version-Release number of selected component (if applicable):
both kernel 2.6.23.1-42.fc8 and 2.6.23.1-49.fc8

How reproducible:
sudo /sbin/modprobe acpi-cpufreq
FATAL: Error inserting acpi_cpufreq
(/lib/modules/2.6.23.1-49.fc8/kernel/arch/x86_64/kernel/cpufreq/acpi-cpufreq.ko):
No such device

Steps to Reproduce:
1. just insert the driver
Comment 1 Davide Rossetti 2007-11-15 05:44:29 EST
Created attachment 259661 [details]
kernel logs
Comment 2 Davide Rossetti 2007-11-15 05:45:00 EST
Created attachment 259671 [details]
lspci -v output
Comment 3 Davide Rossetti 2007-11-15 05:46:11 EST
Created attachment 259681 [details]
dmidecode output
Comment 4 Christopher Brown 2008-02-13 17:19:55 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few weeks if there is no additional information lodged.
Comment 5 Jarod Wilson 2008-02-20 10:09:50 EST
The cpu (core 2 quad Q6600) is definitely supported by acpi-cpufreq, so its
gotta be the bios at fault.
Comment 6 Christopher Brown 2008-02-24 11:03:25 EST
Davide,

Judging from your dmidecode output there is a BIOS update available which you
could try. Would be interested to see if this resolves the issue for you but
will probably close this as NOTABUG.
Comment 7 David Nalley 2008-09-20 15:35:02 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.